{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>

    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
{% endblock %}


{% block barra_horizontal %}
    <input type="submit" form="formulario_conf_ensaio" role="button"
           class="btn btn-primary botao-barra-horizontal" value="Salvar">
    <a href="{% url 'educacao:ver_experimento' experimento.id %}"
       class="btn btn-warning botao-barra-horizontal">Voltar</a>
{% endblock %}


{% block corpo_pagina %}
    <form method="post" id="formulario_conf_ensaio" enctype="multipart/form-data"
          class="formulario sem-asterisco">

        {% csrf_token %}
        {{ formularios_parametros.management_form }}

        <div class="card cartao">
            <h5 class="card-header cartao-titulo">
                Sobre filmar o experimento
            </h5>

            <div class="card-body">
                <p>
                    Marque a opção abaixo se deseja filmar o experimento. O vídeo capturado da webcam pode ser um
                    arquivo com tamanho muito grande. Então após a captura é realizada uma operação de compressão,
                    que pode demorar um certo tempo para ser executada. Apenas após essa compressão que o vídeo ficará
                    disponível para download. No entanto, após o término do experimento os dados ficam imediatamente
                    disponíveis para download.
                </p>

                {{ formulario_filmar|crispy }}
            </div>
        </div>


        <div class="card cartao">
            <h5 class="card-header cartao-titulo">
                Sobre a configuração do experimento
            </h5>

            <div class="card-body">
                <p>
                    Especifique todos os parâmetros apresentados abaixo. Respeite os valores mínimo e máximo.
                </p>

                <table class="tabela-lista" id="tabela-execucoes">
                    <thead>
                        <tr>
                            <th>Parâmetro</th>
                            <th>Sigla</th>
                            <th>Valor mínimo</th>
                            <th>Valor máximo</th>
                            <th>Valor informado</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for formulario in formularios_parametros %}
                        <tr>
                            <td>{{ formulario.instance.parametro.nome }}</td>
                            <td>{{ formulario.instance.parametro.sigla }}</td>
                            <td>{{ formulario.instance.parametro.valor_minimo }}</td>
                            <td>{{ formulario.instance.parametro.valor_maximo }}</td>
                            <td>
                                {{ formulario.valor_informado }}
                                {% for hidden in formulario.hidden_fields %}
                                    {{ hidden }}
                                {% endfor %}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </form>

{% endblock %}




{% block javascript %}
{% endblock %}

